package com.goldenwater.slaj.ttsa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.ttsa.mapper.BisTtsaCertChaNameMapper;
import com.goldenwater.slaj.ttsa.domain.BisTtsaCertChaName;
import com.goldenwater.slaj.ttsa.service.IBisTtsaCertChaNameService;

@Service
public class BisTtsaCertChaNameServiceImpl implements IBisTtsaCertChaNameService {
    @Autowired
    private BisTtsaCertChaNameMapper bisTtsaCertChaNameMapper;

    @Override
    public BisTtsaCertChaName selectBisTtsaCertChaNameByGuid(String guid) {
        return bisTtsaCertChaNameMapper.selectBisTtsaCertChaNameByGuid(guid);
    }

    @Override
    public List<BisTtsaCertChaName> selectBisTtsaCertChaNameList(BisTtsaCertChaName bisTtsaCertChaName) {
        return bisTtsaCertChaNameMapper.selectBisTtsaCertChaNameList(bisTtsaCertChaName);
    }

    @Override
    public int insertBisTtsaCertChaName(BisTtsaCertChaName bisTtsaCertChaName) {
        return bisTtsaCertChaNameMapper.insertBisTtsaCertChaName(bisTtsaCertChaName);
    }

    @Override
    public int updateBisTtsaCertChaName(BisTtsaCertChaName bisTtsaCertChaName) {
        return bisTtsaCertChaNameMapper.updateBisTtsaCertChaName(bisTtsaCertChaName);
    }

    @Override
    public int deleteBisTtsaCertChaNameByGuid(String guid) {
        return bisTtsaCertChaNameMapper.deleteBisTtsaCertChaNameByGuid(guid);
    }

    @Override
    public int deleteBisTtsaCertChaNameByGuids(String[] guids) {
        return bisTtsaCertChaNameMapper.deleteBisTtsaCertChaNameByGuids(guids);
    }
}
